Bug 30231 - [Patch] user handling / configuration of types of users to handle in pub (e.g. Local, LDAP, ...)
[Patch] user handling / configuration of types of users to handle in pub (e.g...
Status: RESOLVED FIXED
Product: Lenya
Classification: Unclassified
Component: Access Control
Trunk
Other other
: P3 enhancement
: 1.2.1
Assigned To: Lenya Developers
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-07-21 13:29 UTC by Joachim Wolfgang Kaltz
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments
the files required for this patch (Java, xsp, etc.) (5.34 KB, application/octet-stream)
2004-07-21 13:31 UTC, Joachim Wolfgang Kaltz
Details
Patch as generated by Eclipse, I hope the format is OK (17.88 KB, patch)
2004-07-27 14:51 UTC, Joachim Wolfgang Kaltz
Details | Diff
the same patch using utf-8 for the cmsui_de.xml (necessary for matching umlauts when applying) (17.88 KB, patch)
2004-07-28 08:14 UTC, Joachim Wolfgang Kaltz
Details | Diff
this patch was tested in Eclipse on cvs head of Lenya (1.2.1-dev) (17.11 KB, patch)
2004-09-10 13:50 UTC, Joachim Wolfgang Kaltz
Details | Diff
patch to improve source documentation (3.51 KB, patch)
2004-09-13 14:07 UTC, Joachim Wolfgang Kaltz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Wolfgang Kaltz 2004-07-21 13:29:55 UTC
This patch implements the suggestion of Andreas Hartmann made in the developer 
list (see http://nagoya.apache.org/eyebrowse/ReadMsg?
listName=lenya-dev@cocoon.apache.org&msgId=1769491)

The goal is to configure in ac.xconf which types of user are to be supported
(examples: Local User, LDAP User, ...)
The Admin GUI can then be constructed dynamically to support these types.
Specifically, in this patch, the "user add" part is now constructed dynamically
However, the flowscript is not changed, though it could be in the future to
make it more flexible for new user types to be supported in the future.

Testing of the patch:
existing publications should not be affected. If you wish to have LDAP users,
edit the file ac.xconf and uncomment the LDAPUser line. Restart your servlet
container, in the admin/users area, there should now appear a button to add
LDAP users.

Note: configuration of the LDAP properties is not yet handled within the
ac.xconf, it is still in the "classic" ldap.properties file as in the unizh
publication. Once this patch is integrated, we could then work on 
integrating the LDAP properties themselves within ac.xconf.
Comment 1 Joachim Wolfgang Kaltz 2004-07-21 13:31:36 UTC
Created attachment 12179 [details]
the files required for this patch (Java, xsp, etc.)
Comment 2 Joachim Wolfgang Kaltz 2004-07-21 13:35:16 UTC
(sorry for the noise ... this interface is new to me)

the attachment mentioned in the previous comment is a .tar.gz file. 
Unfortunately the file name seems to get lost when uploading.
Comment 3 Andreas Kuckartz 2004-07-21 14:29:42 UTC
Added lenya-dev@cocoon.apache.org to CC-list.
Comment 4 Thorsten Scherler 2004-07-24 10:31:36 UTC
I just applied the patch and did not had problems besides with to files:
- UserType.java.diff (no patch format)
- UserManager.java.diff (no match)

Can you please fix this files and add them in another attachment?
Comment 5 Joachim Wolfgang Kaltz 2004-07-26 07:30:52 UTC
Hi Thorsten & all
- the file UserType.java.diff would represent a new file. I created the diff
file with diff -N. Is there some other way a new file should be proposed ? 
- the file UserManager.java.diff works for me on a fresh checkout of Lenya,
using the command patch -i 
What commands / scripts should actually be used to apply a patch ? I will be
happy to test these commands on a fresh checkout to get everything working,
before creating a new patch. 
Could someone post this "how to apply a patch in Lenya" information here, I will
test it and add it to the wiki if that's ok ? Also, any information on "how to
add a new file" would be helpful. I couldn't find anything on the Cocoon pages
about these issues.

Thanks
Comment 6 Joachim Wolfgang Kaltz 2004-07-27 14:51:36 UTC
Created attachment 12239 [details]
Patch as generated by Eclipse, I hope the format is OK
Comment 7 Joachim Wolfgang Kaltz 2004-07-28 08:14:03 UTC
Created attachment 12252 [details]
the same patch using utf-8 for the cmsui_de.xml (necessary for matching umlauts when applying)
Comment 8 Andreas Hartmann 2004-09-10 08:58:35 UTC
The patch cannot be applied to the Lenya trunk. Could you please merge and
re-patch? Thanks!
Comment 9 Joachim Wolfgang Kaltz 2004-09-10 13:50:37 UTC
Created attachment 12693 [details]
this patch was tested in Eclipse on cvs head of Lenya (1.2.1-dev)
Comment 10 Andreas Hartmann 2004-09-10 14:32:50 UTC
Thank you!

I applied the patch, please test.
Some remarks:

- Please take care of meaningful javadocs. I added a FIXME with your E-Mail
address, maybe you would like to send another patch.
- Please don't use tabstops (in XSP)
- It looks like you forgot to update the test classes (they didn't compile anymore)
Comment 11 Joachim Wolfgang Kaltz 2004-09-13 14:07:49 UTC
Created attachment 12712 [details]
patch to improve source documentation
Comment 12 Andreas Hartmann 2004-09-14 09:50:40 UTC
Applied. Thanks!